Mail::SPF::Mech::IP6(3pm)

NAME
Mail::SPF::Mech::IP6 - SPF record "ip6" mechanism class

VERSION
version 3.20260331

DESCRIPTION
An object of class Mail::SPF::Mech::IP6 represents an SPF record mechanism of type "ip6".

  Constructors
The following constructors are provided:

new(%options): returns Mail::SPF::Mech::IP6
    Creates a new SPF record "ip6" mechanism object.

    %options is a list of key/value pairs representing any of the following options:

    qualifier
    ip_network
        See "new" in Mail::SPF::Mech.

new_from_string($text, %options): returns Mail::SPF::Mech::IP6; throws Mail::SPF::ENothingToParse, Mail::SPF::EInvalidMech
    Creates a new SPF record "ip6" mechanism object by parsing the string and any options given.

  Class methods
The following class methods are provided:

default_qualifier
default_ipv6_prefix_length
qualifier_pattern
    See "Class methods" in Mail::SPF::Mech.

name: returns string
    Returns 'ip6'.

name_pattern: returns Regexp
    Returns a regular expression that matches a mechanism name of 'ip6'.

  Instance methods
The following instance methods are provided:

text
qualifier
params
stringify
    See "Instance methods" in Mail::SPF::Mech.

ip_network: returns NetAddr::IP
    Returns the IP address network parameter of the mechanism.

match($server, $request): returns boolean
    Returns true if the mechanism's "ip_network" equals or contains the given request's IP address, or false otherwise. See RFC 4408, 5.6, for details.

SEE ALSO
Mail::SPF, Mail::SPF::Record, Mail::SPF::Term, Mail::SPF::Mech

<http://tools.ietf.org/html/rfc4408>

For availability, support, and license information, see the README file included with Mail::SPF.

AUTHORS
Julian Mehnle <julian@mehnle.net>, Shevek <cpan@anarres.org>